# InspectDR: Mouse/Keybindings

InspectDR.jl supports keybindings to improve/accelerate user control.  The following tables lists supported bindings:

| Pan/Zoom Function | Mouse/Key |
| ----------------: | :-------: |
| Zoom out to full extents | `CTRL` + `f` |
| Zoom out horizontally to full extents | `CTRL` + `h` |
| Zoom out vertically to full extents | `CTRL` + `v` |
| Box zoom (in) | `right-click` + `mousemove`|
| Zoom in / zoom out | `+` / `-` |
| Zoom in / zoom out | `CTRL` + `mousewheel`|
| Pan up / pan down | &uArr; / &dArr; |
| Pan up / pan down | `mousewheel` |
| Pan left / pan right | &lArr; / &rArr; |
| Pan left / pan right | `SHIFT` + `mousewheel`|
| Pan anywhere | (`SHIFT` + `left-click`) + `mousemove` |

| Annotate Function | Mouse/Key |
| ----------------: | :-------: |
| Add reference marker | `r` |
| Add &Delta;-marker (rel. to last reference) | `d` |
| Add &Delta;-marker & set as reference | `D` |
| Move marker | `left-click` + `mousemove` control point|
| Delete marker | `DEL` (when moving marker) |
| Move &Delta;-marker info box | `left-click` + `mousemove` box |
| Re-center &Delta;-marker info box | `0` (when moving box) |

#### Mouse Pan/Zoom Locks
There are also keybindings to lock directionnality during mouse pan / zoom operations:

| Function | Key |
| -------: | :---: |
| Lock along horizontal | `h` |
| Lock along vertical | `v`|
| Allow both directions | `b` |

